@import url("https://fonts.googleapis.com/css?family=Press+Start+2P&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}
html {
  font-size: 62.5%;
  box-sizing: border-box;
}

body {
  font-family: "Press Start 2P", sans-serif;
  background-color: #222;
  color: #eee;
}

/*Body Layout*/

header {
  height: 35vh;
  border-bottom: 10px solid #eee;
  position: relative;
}
main {
  height: 65vh;
  color: #eee;
  display: flex;
  align-items: center;
  justify-content: space-around;
}
.left {
  width: 52rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.right {
  width: 52rem;
  font-size: 2rem;
}

/*Styling Elements*/
h1 {
  font-size: 4rem;
  text-align: center;
  position: absolute;
  bottom: 55%;
  left: 50%;
  padding: 3rem 0;
  transform: translate(-50%, 50%);
  font-weight: 500;
}
.number {
  background-color: #eee;
  color: #333;
  font-size: 6rem;
  width: 15rem;
  padding: 3rem 0rem;
  text-align: center;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 50%);
}

.between {
  font-size: 1.4rem;
  position: absolute;
  top: 3rem;
  right: 2rem;
}

.again {
  font-size: 1.4rem;
  position: absolute;
  top: 2rem;
  left: 2rem;
}
.guess {
  background: none;
  border: 5px solid #eee;
  font-family: inherit;
  padding: 2rem 3rem;
  cursor: pointer;
  margin-bottom: 2rem;
  font-size: 5rem;
  color: inherit;
  width: 25rem;
  text-align: center;
}
.btn {
  background-color: none;
  color: #333;
  font-size: 2rem;
  font-family: inherit;
  padding: 2rem 3rem;
  text-align: center;
  cursor: pointer;
}
.btn:hover {
  background-color: #ccc;
}
.message {
  margin-bottom: 8rem;
  height: 3rem;
  font-size: 25px;
}
.score {
  margin-bottom: 2rem;
}
.icon {
  margin-right: 2rem;
  font-size: 25px;
  gap: 3rem;
}
